SystemOrganization addCategory: #'EjerciciosPoo-OnlineSale'!

Object subclass: #Product
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EjerciciosPoo-OnlineSale'!

TestCase subclass: #Cart
	instanceVariableNames: 'aProductContained aQuantity'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EjerciciosPoo-OnlineSale'!

!Cart methodsFor: 'as yet unclassified' stamp: 'Satelier 6/7/2012 21:05'!
add: aNewProduct quantity: aQuantityOfProduct 
	aProductContained := aNewProduct. 
	aQuantity := aQuantityOfProduct.
! !

!Cart methodsFor: 'as yet unclassified' stamp: 'Satelier 6/7/2012 21:09'!
contains: aProduct 
	^ aProduct = aProductContained.! !

!Cart methodsFor: 'as yet unclassified' stamp: 'Satelier 6/7/2012 20:58'!
quantityOfProducts
	^ 0.! !

TestCase subclass: #OnlineSaleTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EjerciciosPoo-OnlineSale'!

!OnlineSaleTest methodsFor: 'as yet unclassified' stamp: 'Satelier 6/7/2012 20:57'!
aCart
	^Cart new.! !

!OnlineSaleTest methodsFor: 'as yet unclassified' stamp: 'Satelier 6/7/2012 20:59'!
aProduct
	^ Product new.! !

!OnlineSaleTest methodsFor: 'as yet unclassified' stamp: 'Satelier 6/7/2012 21:08'!
aSecondProduct
	^ Product new.! !

!OnlineSaleTest methodsFor: 'as yet unclassified' stamp: 'Satelier 6/7/2012 20:29'!
test01NewCartCannotContainsProducts

	self assert: (self aCart) quantityOfProducts = 0.
	! !

!OnlineSaleTest methodsFor: 'as yet unclassified' stamp: 'Satelier 6/7/2012 21:01'!
test02GivenACartWhenAddAProductThenTheCartContainThis

	| aCart aProduct|
	
	aCart := self aCart.
	aProduct := self aProduct.
	aCart add: aProduct quantity: 3.
	
	self assert: (aCart contains: aProduct).
	! !

!OnlineSaleTest methodsFor: 'as yet unclassified' stamp: 'Satelier 6/7/2012 21:08'!
test03GivenACartWhenAddAProductThenTheCartNotContainAnotherProduct

	| aCart aProduct aSecondProduct|
	
	aCart := self aCart.
	aProduct := self aProduct.
	aSecondProduct := self aSecondProduct.
	aCart add: aProduct quantity: 3.
	
	self deny: (aCart contains: aSecondProduct).
	! !
